// Define an alternate dark theme.
@use '@angular/material' as mat;
$dark-blue-primary: mat.define-palette(mat.$blue-palette);
$dark-blue-accent: mat.define-palette(mat.$deep-orange-palette);
$dark-blue-warn: mat.define-palette(mat.$red-palette);
$dark-blue-theme: mat.define-dark-theme(
  (
    color: (
      primary: $dark-blue-primary,
      accent: $dark-blue-accent,
      warn: $dark-blue-warn,
    ),
  )
);

.theme-dark-blue {
  @include mat.all-component-colors($dark-blue-theme);

  .theme-bg {
    background-color: mat.get-color-from-palette($dark-blue-primary);
  }
}

.dark-blue-bg {
  background-image: linear-gradient(
    to right,
    mat.get-color-from-palette($dark-blue-primary),
    #303030 90%
  );
  // background-color: mat-color($dark-blue-primary);
}
